Bug 1576476 - Thinkpad Yoga 260 trackproint max speed way too slow
Summary: Thinkpad Yoga 260 trackproint max speed way too slow
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 28
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 14:44 UTC by ell1e
Modified: 2019-05-28 22:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:36:11 UTC
Type: Bug


Attachments (Terms of Use)
evemu recording of max (somewhat straining) trackpoint speed (187.59 KB, text/plain)
2018-06-04 15:16 UTC, ell1e
no flags Details

Description ell1e 2018-05-09 14:44:43 UTC
Description of problem:
The Thinkpad Yoga 260 trackproint max speed way too slow (under GNOME 3 Xorg sessoin at 100% regular UI scale).

I'm sorry, I filed this before and it was intermittently a lot better, but it's way worse again and this is a huge hit and miss.

I'd also like to reiterate this is causing me RSI-like symptoms, and if this continues to happen, I might be required to do more drastic steps like switch to entirely away from Linux.

Version-Release number of selected component (if applicable):
1.10.6-1.fc28

How reproducible:
100%

Steps to Reproduce:
1. Use Thinkpad Yoga 260

Actual results:
trackpoint sluggish even at absolute max speed in GNOME 3 settings

Expected results:
trackpoint a tad too fast to use at absolute max speed in GNOME 3 settings (since someone always likes it faster) so that I can pick an appropriate setting

Additional info:

Comment 1 Peter Hutterer 2018-05-10 06:40:23 UTC
I'll need the stuff listed in https://wayland.freedesktop.org/libinput/doc/latest/reporting_bugs.html#reporting_bugs_trackpoint please

Comment 2 ell1e 2018-06-04 15:16:42 UTC
Created attachment 1447533 [details]
evemu recording of max (somewhat straining) trackpoint speed

Hm is Fedora 28 using some sort of outdated libinput version, or do I need to install something?

$ libinput measure
libinput: measure is not a libinput command or not installed. See 'libinput --help'
$ libinput record
libinput: record is not a libinput command or not installed. See 'libinput --help'

I made an evdev recording of moving around the pointer on the screen with kind of the maximum speed (as fast as I'd like to move it, but requiring more finger strength than I'd like to use for it), but I assume what you need most is `libinput measure`...

Comment 3 Peter Hutterer 2018-06-05 00:04:46 UTC
Should be in libinput-utils. If you know enough rpm to make this suggest the package automatically, I'd appreciate any hints.

Comment 4 ell1e 2018-06-05 05:11:04 UTC
Ah. What confused me was mainly that https://wayland.freedesktop.org/libinput/doc/latest/reporting_bugs.html#reporting_bugs_trackpoint simply doesn't mention I need a separate package, and "libinput" as a tool was installed - so I assumed it was broken / outdated in some way. If libinput-measure was a separate binary, it'd be more obvious it needs to be installed when it's missing.

Here is the trackpoint measure range output for my ThinkPad Yoga 260's built-in trackpoint:

$ sudo libinput measure trackpoint-range
Using ETPS/2 Elantech TrackPoint: /dev/input/event4

This tool measures the commonly used pressure range of the
trackpoint. Start by pushing the trackpoint very gently in
slow, small circles. Slowly increase pressure until the pointer
moves quickly around the screen edges, but do not use excessive
pressure that would not be used during day-to-day movement.
Also make diagonal some movements, both slow and quick.
When you're done, start over, until the displayed event count
is 1000 or more for both x and y axis.

Hit Ctrl-C to stop the measurement and display results.
For best results, run this tool several times to get an idea
of the common range.

Trackpoint sends: max x:  6, max y:  6 samples [2786, 2641]^C

Histogram for x axis deltas, in counts of 5
  -5: 
  -4: ++++++++++
  -3: +++++++++++++++++++++++++++++++++++++++++++++++++++++++
  -2: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  -1: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   0: +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   1: +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   2: +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   3: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   4: +++++++
   5: 
   6: 
Histogram for y axis deltas, in counts of 5
  -4: ++
  -3: ++++++++++++++++++++++++++++++++++++++++++
  -2: +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  -1: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   0: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   1: ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   2: +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   3: +++++++++++++++++++++++++++++++
   4: 
   5: 
   6: 
Histogram for radius (amplitude) deltas
   0.0-0.1   :      0 
   0.1-0.3   :      0 
   0.3-0.4   :      0 
   0.4-0.6   :      0 
   0.6-0.7   :      0 
   0.7-0.8   :      0 
   0.8-1.0   :      0 
   1.0-1.1   :    588 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   1.1-1.3   :      0 
   1.3-1.4   :      0 
   1.4-1.5   :    360 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   1.5-1.7   :      0 
   1.7-1.8   :      0 
   1.8-2.0   :      0 
   2.0-2.1   :    279 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
   2.1-2.2   :    674 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   2.2-2.4   :      0 
   2.4-2.5   :      0 
   2.5-2.7   :      0 
   2.7-2.8   :      0 
   2.8-2.9   :    319 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   2.9-3.1   :    171 ++++++++++++++++++++++++++++++++++
   3.1-3.2   :    439 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   3.2-3.4   :      0 
   3.4-3.5   :      0 
   3.5-3.6   :    285 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   3.6-3.8   :      0 
   3.8-3.9   :      0 
   3.9-4.1   :     38 +++++++
   4.1-4.2   :     43 ++++++++
   4.2-4.3   :     29 +++++
   4.3-4.5   :     13 ++
   4.5-4.6   :      0 
   4.6-4.8   :      0 
   4.8-4.9   :      0 
   4.9-5.0   :      8 +
   5.0-5.2   :      3 
   5.2-5.3   :      0 
   5.3-5.5   :      0 
   5.5-5.6   :      0 
   5.6-5.7   :      0 
   5.7-5.9   :      1 
   5.9-6.0   :      0 
   6.0-6.2   :      0 
   6.2-6.3   :      0 
   6.3-6.4   :      1 
   6.4-6.6   :      0 
   6.6-6.7   :      1 
   6.7-6.9   :      0 
   6.9-7.0   :      0 
Min r:    1.0, Max r:    6.7, Max/Min:    6.7
Average for abs deltas: x:   1 y:   1 r:    2.3
Median for abs deltas: x:   2 y:   1 r:    2.2
95% percentile for abs deltas: x:   3 y:   3 r:    3.6

(Please note that I don't ever touch the screen edge because as instructed, I tried not to use pressure that exceeds what I consider quite uncomfortable during daily use)

Comment 5 ell1e 2018-08-20 10:20:28 UTC
I have now changed the DPI scaler even to 10x (please note this is a 1x DPI scale device) and can't move it smaller than ~8px'ish, but only that gives me the higher speeds I want when putting on more pressure.

Maybe there is an issue with the acceleration curve?

Comment 6 Peter Hutterer 2018-08-21 00:39:18 UTC
try libinput master from this copr here:
https://copr.fedorainfracloud.org/coprs/whot/libinput-git/

libinput 1.12 has a different trackpoint accel and a magic multiplier, see here:
https://wayland.freedesktop.org/libinput/doc/latest/trackpoint-configuration.html

Comment 7 Ben Cotton 2019-05-02 19:23:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-02 20:49:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 22:36:11 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.